Skip to main content
PATCH
Update run template

Authorizations

X-API-Key
string
header
required

API key for authentication

Path Parameters

run_template_id
string
required

Run template resource ID

Pattern: ^[A-Za-z0-9]{22}$

Body

application/json

Partial update request (PATCH semantics - only provided fields are updated)

display_name
string

Human-readable template name

Required string length: 1 - 200
Example:

"Updated Template Name"

description
string

Optional description

Example:

"Updated description"

agent_id
string

Agent to test

Pattern: ^[A-Za-z0-9]{22}$
Example:

"gk3jK9mPq2xRt5vW8yZaBc"

persona_id
string

Simulated persona to use

Pattern: ^[A-Za-z0-9]{22}$
Example:

"hL4kL0nQr3ySt6vX9zAcDd"

test_set_id
string

Test set containing test cases

Pattern: ^[A-Za-z0-9]{8}$
Example:

"aB1cD2eF"

metric_ids
string[]

Metrics to evaluate (null = no change, [] = use agent defaults)

Example:
mutation_ids
string[]

Mutations for A/B testing (null = no change, [] = clear)

Example:
iteration_count
integer

Number of times to run each test case

Required range: 1 <= x <= 100
Example:

5

concurrency
integer

Number of simulations to run concurrently

Required range: 1 <= x <= 50
Example:

10

sub_sample_size
integer

Number of test cases to randomly sample

Required range: x >= 0
Example:

20

sub_sample_seed
integer | null

Random seed for reproducible sub-sampling

Example:

123456

metadata
object

Custom metadata (null = no change, {} = clear)

Example:
tags
string[] | null

Tags to associate with this run template. Null or omitted leaves tags unchanged. Pass [] to clear all tags.

Example:

Response

Run template updated successfully

run_template
object
required

Run template configuration resource.